Bug 764396 - (GLUSTER-2664) Quota: recreating the volume on same bricks shows similar info as for earlier one using "list"
Quota: recreating the volume on same bricks shows similar info as for earlier...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 08:32 EDT by Saurabh
Modified: 2016-02-17 19:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2011-04-04 08:32:26 EDT
here I want to point out two issues,
first of removing all the files does not make the size as zero, 
second even recreating the volume and using the same bricks gives the same information about quota as earlier, even though the data was removed from the volume except leaving the dirs.

Logs, 


[root@centos-qa-client-2 sbin]# ./gluster volume create dist2 transport tcp 10.1.12.134:/mnt/dist2 10.1.12.135:/mnt/dsit2
Creation of volume dist2 has been successful. Please start the volume to access data.
[root@centos-qa-client-2 sbin]# ./gluster volume start dist2
Starting volume dist2 has been successful
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 enable
quota translator is enabled
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 limit-usage / 3MB
limit set on /
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 list
	path		  limit_set	     size
----------------------------------------------------------------------------------
/                       3145728                    0
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 list
	path		  limit_set	     size
----------------------------------------------------------------------------------
/                       3145728              1699840

#################from client side#######################


[root@centos-qa-client-1 gluster-test]# ls
d1  d2  d3  d4  test
[root@centos-qa-client-1 gluster-test]# ls -R
.:
d1  d2  d3  d4  test

./d1:

./d2:

./d3:

./d4:

./test:
[root@centos-qa-client-1 gluster-test]# 

###############################################################


[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 list
	path		  limit_set	     size
----------------------------------------------------------------------------------
/                       3145728                30720


Again,


[root@centos-qa-client-2 sbin]# ./gluster volume create dist2 transport tcp 10.1.12.134:/mnt/dist2 10.1.12.135:/mnt/dsit2
Creation of volume dist2 has been successful. Please start the volume to access data.
[root@centos-qa-client-2 sbin]# ./gluster volume start dist2
Starting volume dist2 has been successful
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 enable
quota translator is enabled
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 limit-usage / 3MB
limit set on /
[root@centos-qa-client-2 sbin]# ./gluster volume quota dist2 list
	path		  limit_set	     size
----------------------------------------------------------------------------------
/                       3145728                30720
Comment 1 Vijay Bellur 2011-04-07 11:40:08 EDT
PATCH: http://patches.gluster.com/patch/6727 in master (extras: scripts to cleanup xattrs stored by quota.)
Comment 2 Vijay Bellur 2011-04-07 11:40:20 EDT
PATCH: http://patches.gluster.com/patch/6737 in master (features/marker: Perform quota updation on rmdir and unlink by holding inodelk on parent.)
Comment 3 Raghavendra G 2011-04-08 00:30:19 EDT
Saurabh,

Can you validate the script?

regards,
Raghavendra.
Comment 4 Raghavendra G 2011-04-10 21:29:28 EDT
The script is a temparory fix. Correct way would be to bring versioning into marker.
Comment 5 Amar Tumballi 2011-04-12 23:00:45 EDT
We have the scripts to handle this case in 3.2.0 release, the actual root cause will be fixed in 3.2.0+ releases. Hence moving the target milestone.
Comment 6 Anand Avati 2011-04-16 10:51:41 EDT
PATCH: http://patches.gluster.com/patch/6921 in master (extras/quota-xattr-cleanup: don't follow symbolic links.)
Comment 7 Vidya Sakar 2012-08-14 21:30:54 EDT
(In reply to comment #6)
Is this the temporary script fix or the fix for the actual root cause?
Comment 9 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.